Bug 172981 - [NEW PORT] devel/allegro-devel5: Cross-platform library for games and multimedia programming
Summary: [NEW PORT] devel/allegro-devel5: Cross-platform library for games and multime...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-23 12:00 UTC by nemysis
Modified: 2013-07-26 17:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (137.55 KB, text/plain)
2012-10-23 12:00 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-10-23 12:00:01 UTC
Allegro is a cross-platform library intended for use in computer games and
other types of multimedia programming.

A wide range of extension packages and add-on modules are also available, which
can be found in the "Library Extensions" section of the Allegro website.

WWW: http://www.talula.demon.co.uk/allegro/

Allegro 5.0.7 is different from 4.4.2.

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: new)

How-To-Repeat: 
portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: LIB_DEPENDS don't specify the ABI version number .2 in asound.2 unless it is really necessary.
WARN: Makefile: LIB_DEPENDS don't specify the ABI version number .0 in jack.0 unless it is really necessary.
WARN: Makefile: LIB_DEPENDS don't specify the ABI version number .1 in physfs.1 unless it is really necessary.
0 fatal errors and 4 warnings found.


port test: clean


Build log

https://redports.org/buildarchive/20121022105605-18971/

Can't be builded on RedPorts because audio/jack, graphics/svgalib, print/ghostscript9 not build


There is too ports/170448 [NEW PORT] devel/allegro5: Allegro 5 is a game programming libraries, primarily for C and C++
which i have looked, but port test and install not works with it.
Comment 1 Chris Rees freebsd_committer 2013-07-26 17:05:00 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2013-07-26 17:05:03 UTC
Author: crees
Date: Fri Jul 26 16:04:47 2013
New Revision: 323734
URL: http://svnweb.freebsd.org/changeset/ports/323734

Log:
  Move allegro-devel to allegro; 4.4 is hardly a devel version any more.
  Minor fix required in emulators/o2em.
  
  Remove allegrogl, which is broken and included in allegro-4.4 anyway.
  
  Update allegro-devel to 5.0.7 [1]
  
  PR:		ports/172981 [1]
  Submitted by:	nemysis <nemysis@gmx.ch> [1]

Added:
  head/devel/allegro/files/patch-CMakeLists.txt   (contents, props changed)
  head/devel/allegro/files/patch-docs_CMakeLists.txt   (contents, props changed)
Deleted:
  head/devel/allegro-devel/files/patch-docs_CMakeLists.txt
  head/devel/allegro/files/extra-patch-include-allegro-inline-fmaths.in
  head/devel/allegro/files/patch-aclocal.m4
  head/devel/allegro/files/patch-configure.in
  head/devel/allegro/files/patch-makefile.in
  head/devel/allegro/files/patch-misc::allegro-config.in
  head/devel/allegro/files/patch-misc::deplib.sh
  head/graphics/allegrogl/
Modified:
  head/MOVED
  head/devel/allegro-devel/Makefile
  head/devel/allegro-devel/Makefile.man
  head/devel/allegro-devel/distinfo
  head/devel/allegro-devel/files/patch-CMakeLists.txt
  head/devel/allegro-devel/pkg-plist
  head/devel/allegro/Makefile
  head/devel/allegro/Makefile.man
  head/devel/allegro/distinfo
  head/devel/allegro/pkg-descr
  head/devel/allegro/pkg-plist
  head/emulators/o2em/Makefile
  head/emulators/o2em/files/patch-Makefile.freebsd
  head/emulators/raine/Makefile
  head/games/atanks/Makefile
  head/games/fargoal/Makefile
  head/games/opensonic/Makefile
  head/games/paintown/Makefile
  head/graphics/Makefile
  head/graphics/alpng/Makefile
  head/math/chryzodus/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Fri Jul 26 15:16:14 2013	(r323733)
+++ head/MOVED	Fri Jul 26 16:04:47 2013	(r323734)
@@ -4448,3 +4448,4 @@ sysutils/rsyslog6-devel-relp|sysutils/rs
 sysutils/rsyslog6-devel-dbi|sysutils/rsyslog7|2013-07-25|Has expired: Use sysutils/rsyslog7
 sysutils/rsyslog6-devel-gssapi|sysutils/rsyslog7|2013-07-25|Has expired: Use sysutils/rsyslog7
 sysutils/rsyslog6-devel|sysutils/rsyslog7|2013-07-25|Has expired: Use sysutils/rsyslog7
+graphics/allegrogl||2013-07-26|Now part of devel/allegro

Modified: head/devel/allegro-devel/Makefile
==============================================================================
--- head/devel/allegro-devel/Makefile	Fri Jul 26 15:16:14 2013	(r323733)
+++ head/devel/allegro-devel/Makefile	Fri Jul 26 16:04:47 2013	(r323734)
@@ -1,56 +1,88 @@
+# Created by:	nemysis@gmx.ch
+#
 # $FreeBSD$
+#
 
 PORTNAME=	allegro
-DISTVERSION=	4.4.2
-PORTREVISION=	1
+DISTVERSION=	5.0.7
 CATEGORIES=	devel
 MASTER_SITES=	SF/alleg/allegro/${PORTVERSION}
-PKGNAMESUFFIX=	-devel
+PKGNAMESUFFIX=	-devel5
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Cross-platform library for games and multimedia programming
 
+LICENSE=	BSD
+
+LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib \
+		jack.0:${PORTSDIR}/audio/jack \
+		png15:${PORTSDIR}/graphics/png \
+		jpeg:${PORTSDIR}/graphics/jpeg \
+		vorbis:${PORTSDIR}/audio/libvorbis \
+		FLAC:${PORTSDIR}/audio/flac \
+		physfs.1:${PORTSDIR}/devel/physfs
+BUILD_DEPENDS=	${LOCALBASE}/bin/pandoc:${PORTSDIR}/textproc/hs-pandoc
+
 USE_GMAKE=	yes
-USES=		cmake pkgconfig
+USE_CMAKE=	yes
 USE_XORG=	x11 xpm xext xcursor xxf86vm xxf86dga
 USE_LDCONFIG=	yes
+USE_PKGCONFIG=	build
 WANT_GNOME=	yes
+USE_OPENAL=	soft
 USE_GL=		gl glu
+USE_FREETYPE=	yes
 
 MAKE_JOBS_UNSAFE=	yes
 
-PORTDOCS=	*
-
 CONFLICTS=	allegro-[0-9]*
 LATEST_LINK=	${PORTNAME}${PKGNAMESUFFIX}
 PLIST_SUB=	SHLIB_VER="${SHLIB_VER}"
 CMAKE_ARGS+=	-DDOCDIR="${DOCSDIR}"
 
-SHLIB_VER=	4.4.2
+SHLIB_VER=	5.0.7
 
 PORTSCOUT=	limit:^4\.3\.[0-9]*
 
-CFLAGS+=	-L${LOCALBASE}/lib
-LIB_DEPENDS+=	asound.2:${PORTSDIR}/audio/alsa-lib \
-		jack.0:${PORTSDIR}/audio/jack \
-		png15:${PORTSDIR}/graphics/png
+CFLAGS+=	-I${LOCALBASE}/include -L${LOCALBASE}/lib
 
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=	DEMOS
+OPTIONS_DEFAULT=	DEMOS
+DEMOS_DESC=	Install Demos programs
 
-.if ${PORT_OPTIONS:MDOCS}
+.include <bsd.port.options.mk>
 .include "Makefile.man"
-INFO=		allegro
-.endif
 
-post-patch:
-.if ! ${PORT_OPTIONS:MDOCS}
-	 @${REINPLACE_CMD} -e 's|add_subdirectory(docs)|#add_subdirectory(docs)|' ${WRKSRC}/CMakeLists.txt
+.if ${PORT_OPTIONS:MDEMOS}
+CMAKE_ARGS+=-DWANT_DEMO=on
+PLIST_SUB+=DEMOS=""
+.else
+CMAKE_ARGS+=-DWANT_TESTS=off
 .endif
 
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	CHANGES-5.0.txt CONTRIBUTORS.txt README.txt README_packaging.txt README_pkgconfig.txt
+
 post-install:
-.if ${PORT_OPTIONS:MDOCS}
+	@${CP} -p ${WRKSRC}/allegro5.cfg ${PREFIX}/etc/allegro5.cfg.sample
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@cd ${WRKSRC}/examples && ${COPYTREE_SHARE} \* ${EXAMPLESDIR}
+.endif
+
+.if ${PORT_OPTIONS:MDEMOS}
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} demos ${EXAMPLESDIR})
+.endif
+
+.if ${PORT_OPTIONS:MMANPAGES}
 	@cd ${WRKSRC}/docs/man/ && \
 		${FIND} . -type f -and -name "*.3" -exec ${INSTALL_MAN} {} ${PREFIX}/man/man3/{} \;
 .endif
 
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+	@(cd ${WRKSRC}/docs && ${COPYTREE_SHARE} "src html" ${DOCSDIR})
+.endif
+
 .include <bsd.port.mk>

Modified: head/devel/allegro-devel/Makefile.man
==============================================================================
--- head/devel/allegro-devel/Makefile.man	Fri Jul 26 15:16:14 2013	(r323733)
+++ head/devel/allegro-devel/Makefile.man	Fri Jul 26 16:04:47 2013	(r323734)
@@ -1,923 +1,748 @@
-MAN3=	ALLEGRO_DATE.3 \
-ALLEGRO_DATE_STR.3 \
-ALLEGRO_SUB_VERSION.3 \
-ALLEGRO_VERSION.3 \
-ALLEGRO_VERSION_STR.3 \
-ALLEGRO_WIP_VERSION.3 \
-AL_ID.3 \
-ASSERT.3 \
-AUDIOSTREAM.3 \
-BITMAP.3 \
-COLOR_MAP.3 \
-COMPILED_SPRITE.3 \
-DATAFILE.3 \
-DAT_ID.3 \
-DIALOG.3 \
-DIALOG_PLAYER.3 \
-END_OF_FUNCTION.3 \
-END_OF_MAIN.3 \
-FONT.3 \
-GFX_MODE.3 \
-GFX_MODE_LIST.3 \
-JOYSTICK_AXIS_INFO.3 \
-JOYSTICK_BUTTON_INFO.3 \
-JOYSTICK_INFO.3 \
-JOYSTICK_STICK_INFO.3 \
-LOCK_FUNCTION.3 \
-LOCK_VARIABLE.3 \
-LZSS_PACK_DATA.3 \
-LZSS_UNPACK_DATA.3 \
-MAKE_VERSION.3 \
-MASK_COLOR_15.3 \
-MASK_COLOR_16.3 \
-MASK_COLOR_24.3 \
-MASK_COLOR_32.3 \
-MASK_COLOR_8.3 \
-MATRIX.3 \
-MATRIX_f.3 \
-MENU.3 \
-MENU_PLAYER.3 \
-MIDI.3 \
-PACKFILE.3 \
-PACKFILE_VTABLE.3 \
-PALETTE.3 \
-PAL_SIZE.3 \
-POLYTYPE_ATEX.3 \
-POLYTYPE_ATEX_LIT.3 \
-POLYTYPE_ATEX_MASK.3 \
-POLYTYPE_ATEX_MASK_LIT.3 \
-POLYTYPE_ATEX_MASK_TRANS.3 \
-POLYTYPE_ATEX_TRANS.3 \
-POLYTYPE_FLAT.3 \
-POLYTYPE_GCOL.3 \
-POLYTYPE_GRGB.3 \
-POLYTYPE_PTEX.3 \
-POLYTYPE_PTEX_LIT.3 \
-POLYTYPE_PTEX_MASK.3 \
-POLYTYPE_PTEX_MASK_LIT.3 \
-POLYTYPE_PTEX_MASK_TRANS.3 \
-POLYTYPE_PTEX_TRANS.3 \
-QUAT.3 \
-RGB.3 \
-RGB_MAP.3 \
-RLE_SPRITE.3 \
-SAMPLE.3 \
-SCREEN_H.3 \
-SCREEN_W.3 \
-TRACE.3 \
-V3D.3 \
-V3D_f.3 \
-VIRTUAL_H.3 \
-VIRTUAL_W.3 \
-ZBUFFER.3 \
-_getpixel.3 \
-_getpixel15.3 \
-_getpixel16.3 \
-_getpixel24.3 \
-_getpixel32.3 \
-_putpixel.3 \
-_putpixel15.3 \
-_putpixel16.3 \
-_putpixel24.3 \
-_putpixel32.3 \
-_set_color.3 \
-_ustrdup.3 \
-acquire_bitmap.3 \
-acquire_screen.3 \
-active_dialog.3 \
-active_menu.3 \
-add_clip_rect.3 \
-adjust_sample.3 \
-al_assert.3 \
-al_ffblk.3 \
-al_ffblk_get_size.3 \
-al_findclose.3 \
-al_findfirst.3 \
-al_findnext.3 \
-al_trace.3 \
-alert.3 \
-alert3.3 \
-allegro_404_char.3 \
-allegro_error.3 \
-allegro_exit.3 \
-allegro_icon.3 \
-allegro_id.3 \
-allegro_init.3 \
-allegro_message.3 \
-allocate_voice.3 \
-append_filename.3 \
-apply_matrix.3 \
-apply_matrix_f.3 \
-apply_quat.3 \
-arc.3 \
-bestfit_color.3 \
-bitmap_color_depth.3 \
-bitmap_mask_color.3 \
-black_palette.3 \
-blit.3 \
-bmp_read_line.3 \
-bmp_unwrite_line.3 \
-bmp_write_line.3 \
-broadcast_dialog_message.3 \
-calc_spline.3 \
-calibrate_joystick.3 \
-calibrate_joystick_name.3 \
-canonicalize_filename.3 \
-centre_dialog.3 \
-check_cpu.3 \
-circle.3 \
-circlefill.3 \
-clear_bitmap.3 \
-clear_keybuf.3 \
-clear_scene.3 \
-clear_to_color.3 \
-clear_zbuffer.3 \
-clip3d.3 \
-clip3d_f.3 \
-close_fli.3 \
-color_map.3 \
-config_is_hooked.3 \
-cpu_capabilities.3 \
-cpu_family.3 \
-cpu_model.3 \
-cpu_vendor.3 \
-create_bitmap.3 \
-create_bitmap_ex.3 \
-create_blender_table.3 \
-create_color_table.3 \
-create_datafile_index.3 \
-create_light_table.3 \
-create_lzss_pack_data.3 \
-create_lzss_unpack_data.3 \
-create_rgb_table.3 \
-create_sample.3 \
-create_scene.3 \
-create_sub_bitmap.3 \
-create_sub_zbuffer.3 \
-create_system_bitmap.3 \
-create_trans_table.3 \
-create_video_bitmap.3 \
-create_zbuffer.3 \
-cross_product.3 \
-cross_product_f.3 \
-d_bitmap_proc.3 \
-d_box_proc.3 \
-d_button_proc.3 \
-d_check_proc.3 \
-d_clear_proc.3 \
-d_ctext_proc.3 \
-d_edit_proc.3 \
-d_icon_proc.3 \
-d_keyboard_proc.3 \
-d_list_proc.3 \
-d_menu_proc.3 \
-d_radio_proc.3 \
-d_rtext_proc.3 \
-d_shadow_box_proc.3 \
-d_slider_proc.3 \
-d_text_list_proc.3 \
-d_text_proc.3 \
-d_textbox_proc.3 \
-d_yield_proc.3 \
-deallocate_voice.3 \
-default_palette.3 \
-delete_file.3 \
-desktop_color_depth.3 \
-desktop_palette.3 \
-destroy_bitmap.3 \
-destroy_compiled_sprite.3 \
-destroy_datafile_index.3 \
-destroy_font.3 \
-destroy_gfx_mode_list.3 \
-destroy_midi.3 \
-destroy_rle_sprite.3 \
-destroy_sample.3 \
-destroy_scene.3 \
-destroy_zbuffer.3 \
-detect_digi_driver.3 \
-detect_midi_driver.3 \
-dialog_message.3 \
-digi_recorder.3 \
-disable_hardware_cursor.3 \
-do_arc.3 \
-do_circle.3 \
-do_dialog.3 \
-do_ellipse.3 \
-do_line.3 \
-do_menu.3 \
-do_uconvert.3 \
-dot_product.3 \
-dot_product_f.3 \
-draw_character_ex.3 \
-draw_compiled_sprite.3 \
-draw_gouraud_sprite.3 \
-draw_lit_rle_sprite.3 \
-draw_lit_sprite.3 \
-draw_rle_sprite.3 \
-draw_sprite.3 \
-draw_sprite_ex.3 \
-draw_sprite_h_flip.3 \
-draw_sprite_v_flip.3 \
-draw_sprite_vh_flip.3 \
-draw_trans_rle_sprite.3 \
-draw_trans_sprite.3 \
-drawing_mode.3 \
-ellipse.3 \
-ellipsefill.3 \
-empty_string.3 \
-enable_hardware_cursor.3 \
-enable_triple_buffer.3 \
-ex12bit.3 \
-ex3buf.3 \
-ex3d.3 \
-exaccel.3 \
-exalpha.3 \
-exbitmap.3 \
-exblend.3 \
-excamera.3 \
-excolmap.3 \
-exconfig.3 \
-excustom.3 \
-exdata.3 \
-exdbuf.3 \
-exexedat.3 \
-exfixed.3 \
-exflame.3 \
-exflip.3 \
-exfont.3 \
-exgui.3 \
-exhello.3 \
-exists.3 \
-exjoy.3 \
-exkeys.3 \
-exlights.3 \
-exmem.3 \
-exmidi.3 \
-exmouse.3 \
-expackf.3 \
-expal.3 \
-expat.3 \
-exquat.3 \
-exrgbhsv.3 \
-exrotscl.3 \
-exsample.3 \
-exscale.3 \
-exscn3d.3 \
-exscroll.3 \
-exshade.3 \
-exspline.3 \
-exsprite.3 \
-exstars.3 \
-exstream.3 \
-exswitch.3 \
-exsyscur.3 \
-extimer.3 \
-extract_font_range.3 \
-extrans.3 \
-extrans2.3 \
-extruec.3 \
-exunicod.3 \
-exupdate.3 \
-exxfade.3 \
-exzbuf.3 \
-fade_from.3 \
-fade_from_range.3 \
-fade_in.3 \
-fade_in_range.3 \
-fade_interpolate.3 \
-fade_out.3 \
-fade_out_range.3 \
-fastline.3 \
-file_exists.3 \
-file_select_ex.3 \
-file_size_ex.3 \
-file_time.3 \
-find_allegro_resource.3 \
-find_datafile_object.3 \
-find_dialog_focus.3 \
-fix_filename_case.3 \
-fix_filename_slashes.3 \
-fixacos.3 \
-fixadd.3 \
-fixasin.3 \
-fixatan.3 \
-fixatan2.3 \
-fixceil.3 \
-fixcos.3 \
-fixdiv.3 \
-fixed.3 \
-fixfloor.3 \
-fixhypot.3 \
-fixmul.3 \
-fixsin.3 \
-fixsqrt.3 \
-fixsub.3 \
-fixtan.3 \
-fixtof.3 \
-fixtoi.3 \
-fixtorad_r.3 \
-fixup_datafile.3 \
-fli_bitmap.3 \
-fli_bmp_dirty_from.3 \
-fli_bmp_dirty_to.3 \
-fli_frame.3 \
-fli_pal_dirty_from.3 \
-fli_pal_dirty_to.3 \
-fli_palette.3 \
-fli_timer.3 \
-floodfill.3 \
-flush_config_file.3 \
-font.3 \
-font_has_alpha.3 \
-for_each_file_ex.3 \
-free_audio_stream_buffer.3 \
-free_config_entries.3 \
-free_lzss_pack_data.3 \
-free_lzss_unpack_data.3 \
-freeze_mouse_flag.3 \
-ftofix.3 \
-generate_332_palette.3 \
-generate_optimized_palette.3 \
-get_align_matrix.3 \
-get_align_matrix_f.3 \
-get_audio_stream_buffer.3 \
-get_camera_matrix.3 \
-get_camera_matrix_f.3 \
-get_clip_rect.3 \
-get_clip_state.3 \
-get_color.3 \
-get_color_conversion.3 \
-get_color_depth.3 \
-get_compiled_sprite.3 \
-get_config_argv.3 \
-get_config_float.3 \
-get_config_hex.3 \
-get_config_id.3 \
-get_config_int.3 \
-get_config_string.3 \
-get_config_text.3 \
-get_datafile_property.3 \
-get_desktop_resolution.3 \
-get_display_switch_mode.3 \
-get_executable_name.3 \
-get_extension.3 \
-get_filename.3 \
-get_filename_encoding.3 \
-get_font_range_begin.3 \
-get_font_range_end.3 \
-get_font_ranges.3 \
-get_gfx_mode.3 \
-get_gfx_mode_list.3 \
-get_gfx_mode_type.3 \
-get_hardware_volume.3 \
-get_midi_length.3 \
-get_mixer_bits.3 \
-get_mixer_buffer_length.3 \
-get_mixer_channels.3 \
-get_mixer_frequency.3 \
-get_mixer_quality.3 \
-get_mixer_voices.3 \
-get_mouse_mickeys.3 \
-get_palette.3 \
-get_palette_range.3 \
-get_refresh_rate.3 \
-get_rle_sprite.3 \
-get_rotation_matrix.3 \
-get_rotation_matrix_f.3 \
-get_rotation_quat.3 \
-get_scaling_matrix.3 \
-get_scaling_matrix_f.3 \
-get_sound_input_cap_bits.3 \
-get_sound_input_cap_parm.3 \
-get_sound_input_cap_rate.3 \
-get_sound_input_cap_stereo.3 \
-get_transformation_matrix.3 \
-get_transformation_matrix_f.3 \
-get_translation_matrix.3 \
-get_translation_matrix_f.3 \
-get_uformat.3 \
-get_vector_rotation_matrix.3 \
-get_vector_rotation_matrix_f.3 \
-get_vector_rotation_quat.3 \
-get_volume.3 \
-get_x_rotate_matrix.3 \
-get_x_rotate_matrix_f.3 \
-get_x_rotate_quat.3 \
-get_y_rotate_matrix.3 \
-get_y_rotate_matrix_f.3 \
-get_y_rotate_quat.3 \
-get_z_rotate_matrix.3 \
-get_z_rotate_matrix_f.3 \
-get_z_rotate_quat.3 \
-geta.3 \
-geta32.3 \
-geta_depth.3 \
-getb.3 \
-getb15.3 \
-getb16.3 \
-getb24.3 \
-getb32.3 \
-getb8.3 \
-getb_depth.3 \
-getg.3 \
-getg15.3 \
-getg16.3 \
-getg24.3 \
-getg32.3 \
-getg8.3 \
-getg_depth.3 \
-getpixel.3 \
-getr.3 \
-getr15.3 \
-getr16.3 \
-getr24.3 \
-getr32.3 \
-getr8.3 \
-getr_depth.3 \
-gfx_capabilities.3 \
-gfx_mode_select.3 \
-gfx_mode_select_ex.3 \
-gfx_mode_select_filter.3 \
-grab_font_from_bitmap.3 \
-gui_bg_color.3 \
-gui_button_proc.3 \
-gui_ctext_proc.3 \
-gui_edit_proc.3 \
-gui_fg_color.3 \
-gui_font_baseline.3 \
-gui_get_screen.3 \
-gui_list_proc.3 \
-gui_menu_draw_menu.3 \
-gui_menu_draw_menu_item.3 \
-gui_mg_color.3 \
-gui_mouse_b.3 \
-gui_mouse_focus.3 \
-gui_mouse_x.3 \
-gui_mouse_y.3 \
-gui_mouse_z.3 \
-gui_set_screen.3 \
-gui_shadow_box_proc.3 \
-gui_strlen.3 \
-gui_text_list_proc.3 \
-gui_textout_ex.3 \
-hline.3 \
-hook_config_section.3 \
-hsv_to_rgb.3 \
-identity_matrix.3 \
-identity_matrix_f.3 \
-identity_quat.3 \
-init_dialog.3 \
-init_menu.3 \
-initialise_joystick.3 \
-install_allegro.3 \
-install_int.3 \
-install_int_ex.3 \
-install_joystick.3 \
-install_keyboard.3 \
-install_keyboard_hooks.3 \
-install_mouse.3 \
-install_param_int.3 \
-install_param_int_ex.3 \
-install_sound.3 \
-install_sound_input.3 \
-install_timer.3 \
-is_color_font.3 \
-is_compatible_font.3 \
-is_inside_bitmap.3 \
-is_linear_bitmap.3 \
-is_memory_bitmap.3 \
-is_mono_font.3 \
-is_planar_bitmap.3 \
-is_relative_filename.3 \
-is_same_bitmap.3 \
-is_screen_bitmap.3 \
-is_sub_bitmap.3 \
-is_system_bitmap.3 \
-is_trans_font.3 \
-is_video_bitmap.3 \
-is_windowed_mode.3 \
-itofix.3 \
-joy.3 \
-key.3 \
-key_led_flag.3 \
-key_shifts.3 \
-keyboard_callback.3 \
-keyboard_lowlevel_callback.3 \
-keyboard_needs_poll.3 \
-keyboard_ucallback.3 \
-keypressed.3 \
-line.3 \
-list_config_entries.3 \
-list_config_sections.3 \
-load_bios_font.3 \
-load_bitmap.3 \
-load_bitmap_font.3 \
-load_bmp.3 \
-load_bmp_pf.3 \
-load_dat_font.3 \
-load_datafile.3 \
-load_datafile_callback.3 \
-load_datafile_object.3 \
-load_datafile_object_indexed.3 \
-load_font.3 \
-load_grx_font.3 \
-load_grx_or_bios_font.3 \
-load_ibk.3 \
-load_joystick_data.3 \
-load_lbm.3 \
-load_midi.3 \
-load_midi_patches.3 \
-load_pcx.3 \
-load_pcx_pf.3 \
-load_sample.3 \
-load_tga.3 \
-load_tga_pf.3 \
-load_txt_font.3 \
-load_voc.3 \
-load_voc_pf.3 \
-load_wav.3 \
-load_wav_pf.3 \
-lock_bitmap.3 \
-lock_midi.3 \
-lock_sample.3 \
-lzss_read.3 \
-lzss_write.3 \
-make_absolute_filename.3 \
-make_relative_filename.3 \
-make_trans_font.3 \
-makeacol.3 \
-makeacol32.3 \
-makeacol_depth.3 \
-makecol.3 \
-makecol15.3 \
-makecol15_dither.3 \
-makecol16.3 \
-makecol16_dither.3 \
-makecol24.3 \
-makecol32.3 \
-makecol8.3 \
-makecol_depth.3 \
-masked_blit.3 \
-masked_stretch_blit.3 \
-matrix_mul.3 \
-matrix_mul_f.3 \
-matrix_to_quat.3 \
-merge_fonts.3 \
-midi_loop_end.3 \
-midi_loop_start.3 \
-midi_meta_callback.3 \
-midi_msg_callback.3 \
-midi_out.3 \
-midi_pause.3 \
-midi_pos.3 \
-midi_recorder.3 \
-midi_resume.3 \
-midi_seek.3 \
-midi_sysex_callback.3 \
-midi_time.3 \
-mouse_b.3 \
-mouse_callback.3 \
-mouse_needs_poll.3 \
-mouse_on_screen.3 \
-mouse_pos.3 \
-mouse_sprite.3 \
-mouse_w.3 \
-mouse_x.3 \
-mouse_x_focus.3 \
-mouse_y.3 \
-mouse_y_focus.3 \
-mouse_z.3 \
-need_uconvert.3 \
-next_fli_frame.3 \
-normalize_vector.3 \
-normalize_vector_f.3 \
-num_joysticks.3 \
-object_message.3 \
-offer_focus.3 \
-open_fli.3 \
-open_memory_fli.3 \
-os_multitasking.3 \
-os_revision.3 \
-os_type.3 \
-os_version.3 \
-override_config_data.3 \
-override_config_file.3 \
-pack_fclose.3 \
-pack_fclose_chunk.3 \
-pack_feof.3 \
-pack_ferror.3 \
-pack_fgets.3 \
-pack_fopen.3 \
-pack_fopen_chunk.3 \
-pack_fopen_vtable.3 \
-pack_fputs.3 \
-pack_fread.3 \
-pack_fseek.3 \
-pack_fwrite.3 \
-pack_getc.3 \
-pack_igetl.3 \
-pack_igetw.3 \
-pack_iputl.3 \
-pack_iputw.3 \
-pack_mgetl.3 \
-pack_mgetw.3 \
-pack_mputl.3 \
-pack_mputw.3 \
-pack_putc.3 \
-pack_ungetc.3 \
-packfile_password.3 \
-palette_color.3 \
-persp_project.3 \
-persp_project_f.3 \
-pivot_scaled_sprite.3 \
-pivot_scaled_sprite_lit.3 \
-pivot_scaled_sprite_trans.3 \
-pivot_scaled_sprite_v_flip.3 \
-pivot_scaled_sprite_v_flip_lit.3 \
-pivot_scaled_sprite_v_flip_trans.3 \
-pivot_sprite.3 \
-pivot_sprite_lit.3 \
-pivot_sprite_trans.3 \
-pivot_sprite_v_flip.3 \
-pivot_sprite_v_flip_lit.3 \
-pivot_sprite_v_flip_trans.3 \
-play_audio_stream.3 \
-play_fli.3 \
-play_looped_midi.3 \
-play_memory_fli.3 \
-play_midi.3 \
-play_sample.3 \
-poll_joystick.3 \
-poll_keyboard.3 \
-poll_mouse.3 \
-poll_scroll.3 \
-polygon.3 \
-polygon3d.3 \
-polygon3d_f.3 \
-polygon_z_normal.3 \
-polygon_z_normal_f.3 \
-pop_config_state.3 \
-popup_dialog.3 \
-position_dialog.3 \
-position_mouse.3 \
-position_mouse_w.3 \
-position_mouse_z.3 \
-push_config_state.3 \
-put_backslash.3 \
-putpixel.3 \
-qnx_get_window.3 \
-qscale_matrix.3 \
-qscale_matrix_f.3 \
-qtranslate_matrix.3 \
-qtranslate_matrix_f.3 \
-quad3d.3 \
-quad3d_f.3 \
-quat_interpolate.3 \
-quat_mul.3 \
-quat_slerp.3 \
-quat_to_matrix.3 \
-radtofix_r.3 \
-read_sound_input.3 \
-readkey.3 \
-reallocate_voice.3 \
-rect.3 \
-rectfill.3 \
-register_assert_handler.3 \
-register_bitmap_file_type.3 \
-register_datafile_object.3 \
-register_font_file_type.3 \
-register_sample_file_type.3 \
-register_trace_handler.3 \
-register_uformat.3 \
-release_bitmap.3 \
-release_screen.3 \
-release_voice.3 \
-reload_config_texts.3 \
-remove_display_switch_callback.3 \
-remove_int.3 \
-remove_joystick.3 \
-remove_keyboard.3 \
-remove_mouse.3 \
-remove_param_int.3 \
-remove_sound.3 \
-remove_sound_input.3 \
-remove_timer.3 \
-render_scene.3 \
-replace_extension.3 \
-replace_filename.3 \
-request_refresh_rate.3 \
-request_scroll.3 \
-request_video_bitmap.3 \
-reserve_voices.3 \
-reset_fli_variables.3 \
-rest.3 \
-rest_callback.3 \
-retrace_count.3 \
-rgb_map.3 \
-rgb_to_hsv.3 \
-rotate_scaled_sprite.3 \
-rotate_scaled_sprite_lit.3 \
-rotate_scaled_sprite_trans.3 \
-rotate_scaled_sprite_v_flip.3 \
-rotate_scaled_sprite_v_flip_lit.3 \
-rotate_scaled_sprite_v_flip_trans.3 \
-rotate_sprite.3 \
-rotate_sprite_lit.3 \
-rotate_sprite_trans.3 \
-rotate_sprite_v_flip.3 \
-rotate_sprite_v_flip_lit.3 \
-rotate_sprite_v_flip_trans.3 \
-save_bitmap.3 \
-save_bmp.3 \
-save_bmp_pf.3 \
-save_joystick_data.3 \
-save_pcx.3 \
-save_pcx_pf.3 \
-save_sample.3 \
-save_tga.3 \
-save_tga_pf.3 \
-scancode_to_ascii.3 \
-scancode_to_name.3 \
-scare_mouse.3 \
-scare_mouse_area.3 \
-scene_gap.3 \
-scene_polygon3d.3 \
-scene_polygon3d_f.3 \
-screen.3 \
-scroll_screen.3 \
-select_mouse_cursor.3 \
-select_palette.3 \
-set_add_blender.3 \
-set_allegro_resource_path.3 \
-set_alpha_blender.3 \
-set_blender_mode.3 \
-set_blender_mode_ex.3 \
-set_burn_blender.3 \
-set_clip_rect.3 \
-set_clip_state.3 \
-set_close_button_callback.3 \
-set_color.3 \
-set_color_blender.3 \
-set_color_conversion.3 \
-set_color_depth.3 \
-set_config_data.3 \
-set_config_file.3 \
-set_config_float.3 \
-set_config_hex.3 \
-set_config_id.3 \
-set_config_int.3 \
-set_config_string.3 \
-set_dialog_color.3 \
-set_difference_blender.3 \
-set_display_switch_callback.3 \
-set_display_switch_mode.3 \
-set_dissolve_blender.3 \
-set_dodge_blender.3 \
-set_filename_encoding.3 \
-set_gfx_mode.3 \
-set_hardware_volume.3 \
-set_hue_blender.3 \
-set_invert_blender.3 \
-set_keyboard_rate.3 \
-set_leds.3 \
-set_luminance_blender.3 \
-set_mixer_quality.3 \
-set_mouse_cursor_bitmap.3 \
-set_mouse_range.3 \
-set_mouse_speed.3 \
-set_mouse_sprite.3 \
-set_mouse_sprite_focus.3 \
-set_multiply_blender.3 \
-set_palette.3 \
-set_palette_range.3 \
-set_projection_viewport.3 \
-set_saturation_blender.3 \
-set_screen_blender.3 \
-set_sound_input_source.3 \
-set_trans_blender.3 \
-set_ucodepage.3 \
-set_uformat.3 \
-set_volume.3 \
-set_volume_per_voice.3 \
-set_window_title.3 \
-set_write_alpha_blender.3 \
-set_zbuffer.3 \
-show_mouse.3 \
-show_os_cursor.3 \
-show_video_bitmap.3 \
-shutdown_dialog.3 \
-shutdown_menu.3 \
-simulate_keypress.3 \
-simulate_ukeypress.3 \
-solid_mode.3 \
-spline.3 \
-start_sound_input.3 \
-stop_audio_stream.3 \
-stop_midi.3 \
-stop_sample.3 \
-stop_sound_input.3 \
-stretch_blit.3 \
-stretch_sprite.3 \
-text_height.3 \
-text_length.3 \
-textout_centre_ex.3 \
-textout_ex.3 \
-textout_justify_ex.3 \
-textout_right_ex.3 \
-textprintf_centre_ex.3 \
-textprintf_ex.3 \
-textprintf_justify_ex.3 \
-textprintf_right_ex.3 \
-three_finger_flag.3 \
-transpose_font.3 \
-triangle.3 \
-triangle3d.3 \
-triangle3d_f.3 \
-uatof.3 \
-uconvert.3 \
-uconvert_ascii.3 \
-uconvert_size.3 \
-uconvert_toascii.3 \
-ucwidth.3 \
-ugetat.3 \
-ugetc.3 \
-ugetx.3 \
-ugetxc.3 \
-uinsert.3 \
-uisdigit.3 \
-uisok.3 \
-uisspace.3 \
-unload_datafile.3 \
-unload_datafile_object.3 \
-unscare_mouse.3 \
-unselect_palette.3 \
-uoffset.3 \
-update_dialog.3 \
-update_menu.3 \
-ureadkey.3 \
-uremove.3 \
-usetat.3 \
-usetc.3 \
-usprintf.3 \
-ustrcat.3 \
-ustrchr.3 \
-ustrcmp.3 \
-ustrcpy.3 \
-ustrdup.3 \
-ustrerror.3 \
-ustricmp.3 \
-ustrlen.3 \
-ustrlwr.3 \
-ustrncat.3 \
-ustrncmp.3 \
-ustrncpy.3 \
-ustrnicmp.3 \
-ustrpbrk.3 \
-ustrrchr.3 \
-ustrsize.3 \
-ustrsizez.3 \
-ustrstr.3 \
-ustrtod.3 \

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"